.split {
    display: flex;
    height: 100%;
}

.split > * {
    overflow: auto;
    flex: 0 0 auto;
}

.split > .resizable {
    --resize-dragger-size: 1rem;
    --resize-dragger-border: 3px dashed #222;
    position: relative;
}

.split > .grow {
    flex: 1 1 auto;
}

.split .resize-dragger {
    border-top: var(--resize-dragger-border);
    position: sticky;
    top: 0;
    width: 100%;
    height: var(--resize-dragger-size);
    cursor: ns-resize;
}

.split.horizontal > * > .resize-dragger {
    width: var(--resize-dragger-size);
    height: 100%;
    position: absolute;
    right: 0;
    border-top: none;
    border-right: var(--resize-dragger-border);
    cursor: ew-resize;
}

/* Vertical */

.split.vertical {
    flex-direction: column;
}

/* Horizontal */

.split.horizontal {
    flex-direction: row;
}
